<?php
$pageTitle = "Codin' - build dynamic web sites with PHP!";
include "_includes/config.inc.php";
include "_includes/page_top.inc.php";
?>
    <h1>Dynamic web sites</h1>
    <p>A dynamic web site can accept and process user inputs and then deliver generated pages back to the browsers based on the results of the processing.</p>
	<p>Dynamic web sites typically comprises three primary components: the interface, the middleware, and the database. Creating dynamic web sites requires the use of several programming technologies, such as:</p>
	<ul>
	<li><a href="#">XHTML</a> - a tagging scheme for defining the structure of content</li>
	<li><a href="#">CSS</a> - a mechanism for adding style to web documents</li>
	<li><a href="#">JavaScript</a> - a scripting language embedded in HTML web pages to addd functionality</li>
	<li><a href="#">PHP</a> - a server-side scripting language for the creation of dynamic web pages</li>
	<li><a href="#">SQL</a> - a database access language</li>
	</ul>
	<p>Learn the fundementals of creating dynamic sites by reading <em>Codin' for the Web</em>, a New Riders book by Charles Wyke-Smith. Don't forget to <a href="#">join the Codin' mailing list!</a></p>
<?php
include "_includes/page_bottom.inc.php";
?>