<?php
//this code uses the top level folder names to create nav links
//THE RULES
//folder names that start with _ or a . are ignored
// any _ elsewhere within a folder name is replaced with a space when displayed
// name folders like this: _images , if you don't want them to appear in nav
//order nav items by using a number at the start of each folder name
// note that all numbers are removed from folder names before being diplayed
// the first char of each folder name is changed to upper case for display in nav

// Open current directory, and read its files and folders
//based on an OOP folder read technique by Anto Zamov - http://zamov.online.fr/
$folder=dir($fullPath); //the top level folder of our site
print "\n<ul>\n"; // open list of nav links
$navArray = array();
//while loop repeats for each file and sub-folder
while($thisItem=$folder->read()){ // read next folder or file item in folder
  ////print $thisItem."<br />";
  $printThis = 1;  // will be set to 0 if folder should not be displayed

  //create an absolute path for the item in the folder
	$curItem=$fullPath.$thisItem;
	//print $thisItem;
	//only process folders, not files
   if (is_dir($curItem)) {
	 //don't list the two wierd hidden folders that show up as dots
	 $foundDot = (strpos($thisItem,".",0));
	 if ($foundDot===0) $printThis=0; //  . is the first char, so ignore folder
	 //don't list folders with underscores as their first char
	 $result = strpos($thisItem,"_",0); 
	 if ($result===0) $printThis=0; // _ is the first char, so ignore folder
		 //if printThis has not been changed to 0, write out the link
		 if ($printThis){ // then the folder name has no . or starting underscore
		    //if folder name contains underscores elsewhere, replace them with spaces
		    $thisItemNoUscore = str_replace ("_", " ", $thisItem);
			  // strip of the sorting numbers from each foldername
        $test_array= array (1,2,3,4,5,6,7,8,9,0);
        $thisItemNoUscore = str_replace($test_array, "", $thisItemNoUscore);
       //set first letter of each link to uppercase
				$thisItemNoUscore = ucfirst($thisItemNoUscore);
				//build and sort an array of original (value) and display (key) folder names
				$navArray [$thisItemNoUscore]=$thisItem;
				asort($navArray);
				
				////TEMP - print out the array to see what's in it
				/*foreach ($navArray as $key=>$value) {
				print "<br />".$key."&".$value."<br />";
				}
				*/
				
	   } // end of if ($printThis)
	 }  // end of if (is_dir($thisItem)) 
} // end of while loop

// write out links from array
foreach ($navArray as $key=>$value) {
	    echo '<li><a href="'.$folderPath.$value.'">'.$key."</a></li>\n";
}

//signin/logout
if (!isset($_COOKIE['loggedIn'])) {
print '<li><a href="sign_in.php">Sign In</a></li>'."\n";
} else {
print '<li><a href="'.$folderPath.'members_page.php?log_out=1">Log Out</a></li>'."\n";
}
print "</ul>\n";  // close list of nav links
$folder->close();


?>