<?php

//FUNCTIONS
//print "included OK";     // uncomment  to check the page is included in the form

function verifyAlphaNum ($testString) {
	// Check for letters, numbers and dash, period, space and single quote only. 
	return (eregi ("^([[:alnum:]]|-|\.| |')+$", $testString));
}	

function verifyEmail ($testString) {
	// Check for a valid email address 
	return (eregi("^([[:alnum:]]|_|\.|-)+@([[:alnum:]]|\.|-)+(\.)([a-z]{2,4})$", $testString));
}

function verifyPassword ($testString) {
	// Check for letters, numbers and dash, period, space and single quote only. 
	return (eregi("^([[:alnum:]]|-|\.| |\?|\!|\"|')+$", $testString));
}	

function verifyText ($testString) {
	// Check for letters, numbers and dash, period, ?, !, space and single and double quotes only. 
	return (eregi("^([[:alnum:]]|-|\.| |\?|\!|\"|')+$", $testString));
}

function verifyPhone ($testString) {
	// Check for only numbers, dashes and spaces in the phone number 
	return (eregi('^([[:digit:]]| |-)+$', $testString));
}

?>